Vraag Hoe Flash Player te installeren op Ubuntu?


Ook al heb ik de nieuwste Adobe Flash Player 11.2 voor Linux in Firefox - ref: twijfels over Flash Player-beveiliging - een bepaald online flash-spel vereist nog steeds dat ik update naar de nieuwste flash-speler.

Ik heb dit online spel geprobeerd op mijn laptop (Windows 8 met Flash Player 11.8) en het heeft geen problemen.

Is er een manier om Ubuntu of deze game te misleiden door te denken dat Flash Player 11.8 is "geïnstalleerd"?


123
2017-09-04 20:23


oorsprong


Zoals je al weet is die nieuwste flash-speler voor Linux 11.2.x. Dus ik raad u aan om te gebruiken Latest Google Chrome Browser. Het komt al met de ingebouwde nieuwste flash-speler. U hoeft Flash niet te installeren terwijl u op internet surft. ;) Downloaden chrome vanaf hier: google.com/intl/en/chrome/browserAntwoord als je verdere hulp nodig hebt .. - Saurav Kumar
Verwant: askubuntu.com/questions/562271/... - Ben
Zie mijn antwoord hier; askubuntu.com/a/908985/682596 - Roel


antwoorden:


Opmerking: dit antwoord is ernstig verouderd. Raadpleeg alstublieft karel's antwoord in plaats daarvan wordt beschreven hoe Canonical en Adobe momenteel aanbevelen om Flash Player in Ubuntu te installeren.


Voor Linux, de nieuwste versie van Adobe Flash Player is 11.2 die je al hebt. Sorry, maar het kan niet worden bijgewerkt naar 11.8. Adobe biedt back-ups van beveiliging naar Flash Player 11.2 voor Linux.

De Flash-plug-in installeren Ubuntu 13.04 (Raring Ringtail), volg dit proces:

  1. Schakel de multiverse repository, zoals hier getoond: Hoe schakel ik de "multiverse" repository in? 

  2. Open een terminalvenster (druk op Ctrl+alt+T) en kopieer / plak deze regel:

    sudo apt-get install flashplugin-installer 
    
  3. Wanneer de Flash Player is geïnstalleerd, sluit u het terminalvenster en start u uw browser opnieuw.


133
2017-09-04 20:34



..en sindsdien flashplugin-installer is beschikbaar in de Multiverse repository, moet u mogelijk de repo inschakelen. ... dus deze link zou moeten helpen: Hoe schakel ik de "multiverse" repository in? - precise
Dit werkt ook op 14.04. - dusan
Deze methode werkt ook voor 15.04. :) - Muhamed Huseinbašić
Deze methode werkt ook voor 15.10. - galath
Geïnstalleerd maar op chrome://plugins bij Chromium zie ik geen flits ... Lubuntu 15.10 - Vitaly Zdanevich


Om de nieuwste versie van flash-speler te zoeken, zoek de Dash (in Ubuntu-releases vóór 17.10) of het Show Applications-dashboard (in Ubuntu 17.10 of later) voor Software & Updates en open het Software & Updates-venster. Klik op de Andere software Klik in het venster Software en updates op het tabblad en vink het selectievakje links van de naam aan: Canonical Partners.

enter image description here Software en updates in Ubuntu 17.10

Klik op de Dichtbij om het venster Software & Updates te sluiten.

Open de terminal en typ:

sudo apt-get update   
sudo apt-get install adobe-flashplugin  

19
2017-12-30 22:39



Persoonlijk denk ik dat dit het enige antwoord zou moeten zijn en de andere antwoorden (die grotendeels achterhaald zijn) zijn verwijderd. - Gunnar Hjalmarsson
Wat is de APT-regel die moet worden ingevoerd nadat op de knop Toevoegen is geklikt? - Code-Guru
sudo apt-get update && sudo apt-get install adobe-flashplugin - karel
@karel: Ik vermoed dat het wat Code-Guru in de bovenstaande opmerking verwarde vond, omdat klikken op die knop Toevoegen een pop-up activeert die om een ​​APT-URL vraagt. - Nicolas Raoul


Adobe biedt niet langer Flash Player-updates voor Linux behalve beveiligingsbackports.
Van de Abobe Flash Blog:

Voor Flash Player-releases na 11.2 is de Flash Player-browserinvoegtoepassing voor Linux alleen beschikbaar via de 'Pepper'-API als onderdeel van de Google Chrome-browserdistributie en is deze niet langer beschikbaar als directe download van Adobe. Adobe blijft vijf jaar na de release beveiligingsupdates leveren voor niet-Pepper-distributies van Flash Player 11.2 op Linux.

Je kunt nog steeds de nieuwste flitser gebruiken Google Chrome of chromium Install chromium-browsermet de 'Pepper Flash' plug-in

Adobe Flash Player is rechtstreeks geïntegreerd met Google Chrome en standaard ingeschakeld. Beschikbare updates voor Adobe Flash Player worden automatisch opgenomen in Chrome-systeemupdates.

U moet het echter handmatig in Chromium installeren. kijk hier


15
2017-09-04 20:43



Niet langer waar. De PPAPI-versie wordt nog steeds ondersteund. - Evan Carroll
pcworld.com/article/3116409/linux/... lijkt erop te wijzen dat dit antwoord niet langer waar is - Mateusz Konieczny


Jammer genoeg heeft Adobe de ondersteuning voor de GNU / Linux-versie van Flash Player laten vallen (hoewel er nog steeds beveiligingsupdates worden aangeboden). Er zijn echter nog twee manieren om nieuwere versies te krijgen.

De eerste is om de Windows-versie door te voeren Wijn, een softwarematige emulatielaag die is ontworpen om Windows-software te laten werken op GNU / Linux en andere Unix-achtige systemen. U hebt een Windows-webbrowser nodig (zoals de Windows-versie van Firefox), met de Windows-versie van Flash Player.

Of je zou kunnen installeren Google Chrome, omdat het altijd een recente versie van Flash heeft, zelfs op Ubuntu. Als u Chrome kiest, hebt u geen wijn nodig. Dit is mogelijk geen optie meer. Zie update # 3.

Bijwerken: Ik weet nu een derde manier om dit te doen: Pipelight! Pipelight was oorspronkelijk een browserplugin bedoeld om een ​​vork met WINE te gebruiken om Microsoft Silverlight uit te voeren. Op een gegeven moment besloten de ontwikkelaars echter ook ondersteuning voor Flash toe te voegen. Zien Hier voor instructies over het installeren van Pipelight en schakel Flash Player in.

Deze methode is echter niet perfect; als u merkt dat uw browser niet reageert op uw muis, kunt u tussen werkruimten schakelen (via de sneltoetsen op het bureaublad van uw bureaublad) of van venster wisselen (opnieuw sneltoetsen). Hoe dan ook, wanneer u terugschakelt, moet u opnieuw kunnen klikken. Let op, ik heb dit alleen getest met Linux Mint's Kaneel desktop (die gevorkt is uit Gnome), en kan niet garanderen dat dit op andere desktops werkt. Als al het andere niet lukt, kunt u overschakelen naar tty en het gebruik van pijplicht doden pkill pluginloader.exe.

Je wilt misschien ook rennen sudo pipelight-plugin --update van tijd tot tijd, zodat Pipelight weet om een ​​bijgewerkte versie van de flash-speler te installeren. Dit voorkomt dat Pipelight probeert om plug-ins van dode links te downloaden en zorgt ervoor dat de plug-ins up-to-date blijven. Of u kunt een cron-bestand maken om de opdracht automatisch uit te voeren. Om dit te doen, uitvoeren sudo bash -c 'echo -e \#\!"/bin/bash\n\npipelight-plugin --update" > /etc/cron.weekly/pipelight-update; chmod a+x /etc/cron.weekly/pipelight-update' Hierdoor kan de pipelight-lijst met plug-ins wekelijks worden bijgewerkt, hoewel de actall-plug-ins niet worden bijgewerkt totdat u uw op NPAPI gebaseerde browser start.

Update 2: Ik vond een andere plug-in die Pepper (Google Chrome) Flash Player gebruikt in andere browsers (zoals firefox). Deze plug-in, ook wel freshplayerplugin genoemd, is een native versie van Flash, dus er is geen WINE vereist. Let op: hoewel ik deze methode niet heb geprobeerd, is het bekend dat Pepper Flash problemen heeft met DRM-beveiligde video's, zoals die op Amazon Prime. Als u DRM-beveiligde video's met Flash Player bekijkt, kunt u Pipelight gebruiken.

De bovenstaande link zal je vertellen hoe FreshPlayerPlugin te installeren door een git repository te klonen en de code zelf te compileren. Of u installeert het pepflashplugin-installer-pakket van de skunk / pepper-flash-ppa: sudo add-apt-repository ppa:skunk/pepper-flash && sudo apt-get update && sudo apt-get install pepflashplugin-installer. Zie onderaan DEZE pagina voor instructies over hoe u Chromium kunt inschakelen om pepperflash te gebruiken. Waarschuwing: dit is afhankelijk van de ondersteuning van Google Chrome. Zie update # 3.

Update 3: Google heeft de ondersteuning voor Chrome voor alle 32-bits GNU / Linux-systemen laten vallen. Als u een 64-bits systeem hebt, kunt u Chrome zoals gewoonlijk gebruiken. Anders moet je een oude versie van Chrome gebruiken (veel succes met het vinden van een oude versie.) Wees ook gewaarschuwd dat oude browsers niet beveiligd zijn, schakel over naar een 64-bits systeem of probeer de Windows-versie via WINE uit te voeren. Omdat 32-bits systemen niet langer worden ondersteund, kunt u de methode beschreven in update # 2 op 32-bits systemen niet langer gebruiken.

Update 4: Pipelight is niet meer leverbaar door de auteur. U kunt Flash Player er niet meer mee installeren. Adobe heeft echter besloten de GNU / Linux-versie van Flash Player naar de nieuwste versies te stoten, dus ik denk dat je geen pipelight of freshplayerplugin nodig hebt. in feite maakt dat soort van dit hele antwoord overbodig.


11
2017-09-04 20:44



ja, in een kanttekening, adobe zijn lullen. google betaalde de makers van wijn om photoshop op linux te optimaliseren, is dat niet aardig van hen? in plaats daarvan betaalt adobe ze terug door de ondersteuning van lucht, lezer en flash op android en linux te stoppen. maar het is goed want binnenkort neemt html5 het over - Nick Bailuc
Helaas verpakt de freshplayer-plug-in gewoon pepper flash met een NPAPI-front-end, zodat Firefox deze kan gebruiken. Pipelight is ook een NPAPI-plug-in. Maar Firefox laat de ondersteuning voor NPAPI tegen het einde van het jaar vallen. Is er een andere oplossing voor Flash in Firefox die nog niet is gepland om te worden gedood, of zijn overschakelen naar Chrome / draait onder Wine echt de enige opties? - Ben
Flash heeft de ondersteuning voor de PPAPI-versie niet laten vallen, hier is bewijs: het is ook verpakt en beschikbaar voor Ubuntu, zie mijn antwoord hier. - Evan Carroll
in feite maakt dat soort van dit hele antwoord overbodig. - kunt u overwegen om het te updaten en oude niet langer bruikbare inhoud te verwijderen? - Mateusz Konieczny


De Adobe NPAPI-plug-in handmatig installeren voor browsers zoals Firefox, Iceweasel en SeaMonkey

  1. Toegang https://get.adobe.com/flashplayer/otherversions/

  2. Selecteer uw architectuur: Linux (32-bit) of Linux (64-bit).

    • Als u niet zeker bent van de architectuur van uw systeem, voert u de opdracht shell uit uname -i: als het iets retourneert met het nummer 64 Daarin is uw systeem 64-bit. Anders is het 32-bits.
  3. Download de NPAPI tarball: selecteer de optie met (.tar.gz) - NPAPI erin en klik vervolgens op de knop "Nu downloaden".

    • Een tarball is een bestand met de extensie ".tar.xxx", waarbij "xxx" een extensie is voor gecomprimeerde bestanden, zoals b.v. ritssluiting, gz, bz2, 7z etc. Vandaar, tarball.tar.gz, tarball.tar.zip, tarball.tar.7z en tarball.tar.bz2 zijn allemaal voorbeelden van tarballs.
  4. Sla de tarball op in de /tmp map met de naam flash.tar.gz. Als uw browser automatisch de tarball downloadt, waardoor het voor u onmogelijk wordt om de tarball te hernoemen voordat het downloaden begint, wacht u tot het downloaden is voltooid, ga dan naar de map waar de tarball is geplaatst, hernoem de tarball naar flash.tar.gz en verplaats het vervolgens naar /tmp.

  5. Start de shell-terminal en voer deze opdracht uit:

    cd /tmp ; tar -xvf flash.tar.gz
    
  6. Voer nu deze superopdracht uit om de Adobe Flash-plug-in in de systeemmap te plaatsen:

    if ! [ -d /usr/lib/adobe-flashplugin/ ]; then sudo mkdir /usr/lib/adobe-flashplugin ; else echo /usr/lib/adobe-flashplugin/ already exists ; fi ; sudo cp -f libflashplayer.so /usr/lib/adobe-flashplugin/ ; sudo ln -sf /usr/lib/adobe-flashplugin/libflashplayer.so /usr/lib/flashplugin-installer/libflashplayer.so
    
  7. Voer vervolgens deze opdracht uit om de Adobe Flash-mappen op hun respectieve locaties te plaatsen:

    sudo cp -rf /tmp/usr /
    
  8. U kunt nu uw Mozilla / Gecko-browser (Firefox, Iceweasel of SeaMonkey) gebruiken en vervolgens de URL openen about:plugins om te controleren of uw browser de Flash-plug-in heeft gedetecteerd /usr/lib/adobe-flashplugin/libflashplayer.so (het zou ook zichtbaar moeten zijn door toegang te krijgen tot about:addons en dan de plugins sectie). Als je zoiets ziet Shockwave Flash 24.0 r0, ga dan naar http://www.adobe.com/software/flash/about om te controleren of de flash-applet detecteert dat uw NPAPI-flash is geïnstalleerd en vertelt u welke versie u momenteel gebruikt.

    • Het is mogelijk dat uw browser de locatie van de plug-in als zijnde toont /usr/lib/flashplugin-installer/libflashplayer.so in plaats van /usr/lib/adobe-flashplugin/libflashplayer.so. Als het gebeurt, negeer het: het is normaal.
  9. Start uw computer opnieuw op om ervoor te zorgen dat het toepassingenmenu uw gloednieuwe weergeeft "Adobe Flash Player"Configuratiescherm. Als dit niet het geval is, zou u het moeten kunnen starten door deze shell-opdracht uit te voeren:

    /usr/bin/flash-player-properties
    

Opmerking: als u de 32-bits SeaMonkey op een 64-bits systeem gebruikt, zal de browser de plug-in niet "zien". Gebruik een andere browser (bijvoorbeeld Firefox).

Hoe u de Flash NPAPI-plug-in van Adobe handmatig verwijdert voor browsers zoals Firefox, Iceweasel en SeaMonkey

Open een shell-terminalvenster en voer deze superopdracht uit:

sudo rm -r /usr/lib/adobe-flashplugin /usr/lib/flashplugin-installer/libflashplayer.so /usr/bin/flash-player-properties /usr/lib/kde4/kcm_adobe_flash_player.so /usr/lib64/kde4/kcm_adobe_flash_player.so /usr/share/applications/flash-player-properties.desktop /usr/share/kde4/services/kcm_adobe_flash_player.desktop /usr/share/pixmaps/flash-player-properties.png ; cd /usr/share/icons/hicolor ; sudo find . -name "flash-player-properties.png" -delete

De Adobe Flash PPAPI-plug-in handmatig installeren voor een WebKit-browser zoals Opera

  1. Toegang https://get.adobe.com/flashplayer/otherversions/

  2. Selecteer uw architectuur: Linux (32-bit) of Linux (64-bit).

    • Als u niet zeker bent van de architectuur van uw systeem, voert u de opdracht shell uit uname -i: als het iets retourneert met het nummer 64 Daarin is uw systeem 64-bit. Anders is het 32-bits.
  3. Download de PPAPI-tarball: selecteer de optie met (.tar.gz) - PPAPI erin en klik vervolgens op de knop "Nu downloaden".

    • Een tarball is een bestand met de extensie ".tar.xxx", waarbij "xxx" een extensie is voor gecomprimeerde bestanden, zoals b.v. ritssluiting, gz, bz2, 7z etc. Vandaar, tarball.tar.gz, tarball.tar.zip, tarball.tar.7z en tarball.tar.bz2 zijn allemaal voorbeelden van tarballs.
  4. Sla de tarball op in de /tmp map met de naam pepflash.tar.gz. Als uw browser automatisch de tarball downloadt, waardoor het voor u onmogelijk wordt om de tarball te hernoemen voordat het downloaden begint, wacht u tot het downloaden is voltooid, ga dan naar de map waar de tarball is geplaatst, hernoem de tarball naar pepflash.tar.gz en verplaats het vervolgens naar /tmp.

  5. Start de shell-terminal en voer deze opdracht uit:

    cd /tmp ; tar -xvf pepflash.tar.gz
    
  6. Voer nu deze opdrachten uit om de Adobe Flash-plug-in in de systeemmap te plaatsen:

    if ! [ -d /usr/lib/adobe-flashplugin/ ]; then sudo mkdir /usr/lib/adobe-flashplugin ; else echo /usr/lib/adobe-flashplugin/ already exists ; fi ; sudo cp -f libpepflashplayer.so manifest.json /usr/lib/adobe-flashplugin/
    
  7. U kunt nu uw WebKit / Opera-browser gebruiken (alleen Opera-versies vóór versie 45) en vervolgens toegang krijgen tot de URL about:plugins om te controleren of uw browser de Flash-plug-in heeft gedetecteerd /usr/lib/adobe-flashplugin/libpepflashplayer.so. Vergeet niet om op te klikken Toon details knop (rechtsboven) om de informatievelden uit te breiden en extra informatie te tonen over elke gedetecteerde plug-in. Als je zoiets ziet Adobe Flash Player gevestigd in /usr/lib/adobe-flashplugin/libpepflashplayer.so, ga dan naar http://www.adobe.com/software/flash/about om er zeker van te zijn dat de flash-applet je PPAPI-flash-installatie detecteert en je vertelt welke versie je momenteel gebruikt. Als uw browser Opera versie 45+ is (versie 45 of later), dan is de enige manier om te controleren of de plug-in correct is geïnstalleerd en functioneel is door toegang te krijgen tot http://www.adobe.com/software/flash/about. Als de flash-applet je PPAPI-flash-installatie detecteert, werkt Flash in je Opera 45+ -browser.

De Adobe Flash-PPAPI-plug-in handmatig verwijderen voor een WebKit-browser zoals Opera

Open een shell terminal-venster en voer deze opdracht uit:

sudo rm /usr/lib/adobe-flashplugin/libpepflashplayer.so

De Adobe Flash PPAPI-plug-in handmatig installeren voor Google Chrome en Google Chromium-browsers

Als u Google Chrome / Chromium gebruikt, wordt deze al geleverd met een eigen bundel PPAPI Flash-plugin bevindt zich op ~/.config/google-chrome/PepperFlash/some_version_number/libpepflashplayer.so. Als video's echter niet werken met Google Chrome / Chromium op Facebook, YouTube enzovoort (je hoort de audio, maar zie je geen video), dan probeer je waarschijnlijk te kijken HTML5 video's maar je GPU (Graphics Processing Unit) heeft een ingebouwde rendering blacklist die video-acceleratie vermijdt die vereist is door HTML5.

Start Google Chrome / Chromium om toegang te krijgen tot deze URL om dit probleem op te lossen:

chrome://flags/#ignore-gpu-blacklist

...dan activeren de bovenstaande optie en herstart Google Chrome / Chromium.

Als de bovenstaande oplossing het probleem niet oplost, volg dan de 6 stappen die bij De Adobe Flash PPAPI-plug-in handmatig installeren voor een WebKit-browser zoals Opera, maak vervolgens een back-up van de PepperFlash-plug-in van Google en maak een symbolische koppeling met de Flash PPAPI-plug-in van Adobe.

Als b.v. je Chrome / Chromium-browser gebruikt PepperFlash plug-in versie 24.0.0.186 en je hebt Adobe's flash PPAPI plug-in versie 24.0.0.186 (dezelfde versie van Google's PepperFlash) gedownload, dan is dit de shell-opdracht die je moet uitgeven nadat u Adobe's Flash PPAPI-plug-in hebt geïnstalleerd:

mv ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so.bak ; sudo ln -sf /usr/lib/adobe-flashplugin/libpepflashplayer.so ~/.config/google-chrome/libpepflashplayer.so

De Adobe Flash-PPAPI-plug-in handmatig verwijderen voor Google Chrome en Google Chromium-browsers

Open een shell terminal-venster en voer deze opdracht uit:

sudo rm ~/.config/google-chrome/libpepflashplayer.so ; mv ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so.bak ~/.config/google-chrome/PepperFlash/24.0.0.186/libpepflashplayer.so

Bron: mijn eigen antwoord naar vraag # 470281.


1
2018-02-03 14:03



Hoewel deze link mogelijk een antwoord op de vraag is, is het beter om de essentiële delen van het antwoord hier op te nemen en de link ter referentie aan te bieden. Link-alleen antwoorden kunnen ongeldig worden als de gekoppelde pagina verandert. - Van beoordeling - amc
@amc Ik heb hier ook mijn hele antwoord geplakt, omdat de installatie- en de-installatieprocessen beide belangrijk zijn en beide veranderen, afhankelijk van de browser. Het belangrijkste is, geloof ik, om diegenen die de bovenstaande vraag lezen een antwoord te geven waarin ze uitleggen hoe ze de handmatige installatie kunnen doen (en hoe ze Adobe Flash ook handmatig kunnen verwijderen). Ik zou mijn beide antwoorden samenvoegen tot één voor beide vragen, als dat mogelijk was, maar helaas is zo'n functie niet beschikbaar. De bovenstaande vraag is ouder dan de andere, maar ik heb de andere eerst gevonden en beantwoord. - Yuri Sucupira
@DavidFoerster De bovenstaande vraag is ouder dan de andere waarin ik (recent) mijn antwoord heb gepost. Ik heb echter eerst de andere vraag gevonden en beantwoord (enkele dagen voordat ik deze heb gevonden). Dit is de reden waarom het markeren van een van deze vragen (ten gunste van de andere vraag) een soort dilemma lijkt: aan welke vraag moet de voorkeur worden gegeven? Ik weet niet zeker hoe ik met deze situatie moet omgaan. Door de inhoud van mijn antwoord hier ook te plakken, verwacht ik het voor iedereen gemakkelijker te maken om mijn voorgestelde oplossing voor het probleem te vinden, ongeacht welke van de twee vragen iemand als eerste vindt. - Yuri Sucupira
Alright. Ik heb gestemd om de andere vraag als een duplicaat van deze te sluiten. - David Foerster
@YuriSucupira Ik heb de reden gevonden dat het niet werkte aan recente versies van Opera. U hebt ook het bestand manifest.json nodig, niet alleen het bestand libpepflashplayer.so. Ik heb dat in je antwoord bewerkt. Hier is ook een script dat al het vuile werk voor u doet voor de PPAPI-plug-in: gist.github.com/ruario/215c365facfe8d3c5071. Misschien zou je dat ook in je antwoord kunnen opnemen. - Mike